App\Library\Amazon\Classes\HomeImprovement\ProductTypeAType:
    properties:
        buildingMaterials:
            expose: true
            access_type: public_method
            serialized_name: BuildingMaterials
            accessor:
                getter: getBuildingMaterials
                setter: setBuildingMaterials
            type: App\Library\Amazon\Classes\BuildingMaterials
        hardware:
            expose: true
            access_type: public_method
            serialized_name: Hardware
            accessor:
                getter: getHardware
                setter: setHardware
            type: App\Library\Amazon\Classes\Hardware
        plumbingFixtures:
            expose: true
            access_type: public_method
            serialized_name: PlumbingFixtures
            accessor:
                getter: getPlumbingFixtures
                setter: setPlumbingFixtures
            type: App\Library\Amazon\Classes\PlumbingFixtures
        tools:
            expose: true
            access_type: public_method
            serialized_name: Tools
            accessor:
                getter: getTools
                setter: setTools
            type: App\Library\Amazon\Classes\HomeImprovementToolsType
        organizersAndStorage:
            expose: true
            access_type: public_method
            serialized_name: OrganizersAndStorage
            accessor:
                getter: getOrganizersAndStorage
                setter: setOrganizersAndStorage
            type: App\Library\Amazon\Classes\OrganizersAndStorage
        majorHomeAppliances:
            expose: true
            access_type: public_method
            serialized_name: MajorHomeAppliances
            accessor:
                getter: getMajorHomeAppliances
                setter: setMajorHomeAppliances
            type: App\Library\Amazon\Classes\MajorHomeAppliances
        securityElectronics:
            expose: true
            access_type: public_method
            serialized_name: SecurityElectronics
            accessor:
                getter: getSecurityElectronics
                setter: setSecurityElectronics
            type: App\Library\Amazon\Classes\SecurityElectronics
